<template>
  <div id="app" class="app">
    <transition name="fade">
      <div v-show="!isLoading">
        <router-view name="header" />
        <router-view name="body" />
      </div>
    </transition>
    <transition name="fade">
      <div v-show="isLoading">
        <div class="loading-container">
          <div class="loading-wrapper">
            <div class="loading-animate">
              <div class="loading-image">
                <img src="./assets/images/frontend/logo.png" />
              </div>
              <div class="loading-text">
                <span>L</span>
                <span>o</span>
                <span>a</span>
                <span>d</span>
                <span>i</span>
                <span>n</span>
                <span>g</span>
                <span>.</span>
                <span>.</span>
                <span>.</span>
              </div>
            </div>
          </div>
        </div>
      </div>
    </transition>
  </div>
</template>

<script>
import { mapState, mapMutations, mapActions, mapGetters } from 'vuex';
export default {
  name: 'App',
  created() {
    // this.requestLogin();
    // this.activeUserProgress();
  },
  computed: {
    ...mapGetters({ isLoading: 'getLoadingState' })
  },
  methods: {
    ...mapActions(['requestLogin', 'activeUserProgress'])
  }
};
</script>

<style>
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.6s ease-out;
}
.fade-enter,
.fade-leave-active {
  opacity: 0;
}
</style>
